Subject: Proceeding with work on the DHCPv6 spec

From: Ralph Droms <[email-masked]>
Date: Fri, 11 Aug 2000 16:01:17 -0400

I've been getting some pushback from the IESG about the interim WG meeting 
we've planned for the week of 8/21.  The IESG has developed some guidelines 
for WG meetings, some of which we haven't met or will be unable to meet:

* IESG/AD approval
* 30 day advance notice on the IETF mailing list
* Published agenda

So, stepping back for a second, I heard us agree in the impromptu DHCPv6 
meeting in Pittsburgh that our ultimate goal is to get a protocol spec out 
for in time for a last round of WG discussion in San Diego and WG last call 
by the end of December.  I suggest we take the following steps to 
accomplish that goal:

1) A design team uses a conference call to put
    together a proposal for work on the spec
    that includes:
    * Criteria and process for developing a list
      of changes to the spec; example criteria
      for inclusion (and design) or exclusion
      of a particular feature might include:
      - Is this a feature clearly required in the
        next six months or can it be added as
        an extension later
      - Is this a feature new to DHCPv6 and is
        the feature required by IPv6
      - Is the design of this feature based on
        DHCPv4 experience
      Process issues might include requiring a
      justification for features that differ from
      DHCPv4 design
    * Timeline for milestones to meet before
      the San Diego meeting
    * Interim meeting to discuss spec after revision
      based on WG list of changes (see 3, below)

2) The WG adopts the proposal

3) The WG develops a list of changes to the
    spec based on the adopted ground rules; this
    list of changes becomes instructions to the
    authors for revising the spec

4) The authors rev the spec and publish a
    new draft doc

5) The WG holds an interim meeting to discuss
    the revised spec; the product of the meeting
    is instructions to the authors for another
    revision of the specification

6) The authors rev the spec and publish for
    final WG discussion in San Diego